List bookings

GET
/v1/scheduling/bookings

The environment's bookings, newest first. Answers aren't included.

Authorization

bearerAuth
headerAuthorizationBearer <token>

A secret API key from the dashboard: coss_live_… for production environments, coss_test_… for sandbox environments.

Query Parameters

limit?integer
Range1 <= value <= 100
Default20
after?string

The last id of the previous page.

host?string
event_type?string
status?string
Value in"held""pending_approval""confirmed""cancelled""declined"
attendee_uid?string
start_after?string

An ISO 8601 instant with an offset.

start_before?string

An ISO 8601 instant with an offset.

Header Parameters

Coss-Version?"2026-10-10"

The API version (a date) to use for this request. Defaults to your organization's version, pinned to the latest one when it first used the API and upgraded from the dashboard. The SDK always sends the version it was built for.

Value in"2026-10-10"

Response Body

A page of bookings.

application/json
  1. response
object*"list"
Value in"list"
data*array<>
has_more*boolean
import { Coss } from "coss";const coss = new Coss({  apiKey: process.env.COSS_API_KEY,  baseUrl: "https://api.coss.com",});const { data, error } = await coss.scheduling.bookings.list();
{  "object": "list",  "data": [    {      "object": "scheduling.booking",      "id": "book_01kd2m9a0b1c2d3e4f5g6h7j8m",      "event_type": "evtype_01kd2m9a0b1c2d3e4f5g6h7j8m",      "status": "confirmed",      "title": "Initial consultation",      "start": "2027-01-04T15:00:00.000Z",      "end": "2027-01-04T15:30:00.000Z",      "hosts": [        "host_01kd2m9a0b1c2d3e4f5g6h7j8m"      ],      "attendees": [        {          "id": "attn_01kd2m9a0b1c2d3e4f5g6h7j8m",          "uid": "patient_77",          "name": "Sam Lee",          "email": "sam@example.com",          "phone": null,          "time_zone": "UTC",          "locale": null        }      ],      "location": null,      "hold_expires_at": null,      "approval_expires_at": null,      "series": null,      "series_index": null,      "group_session": null,      "calendar_unverified": false,      "external_conflict_at": null,      "no_show_at": null,      "cancelled_at": null,      "metadata": {},      "created_at": "2027-01-01T10:00:00.000Z",      "updated_at": "2027-01-01T10:00:00.000Z"    }  ],  "has_more": false}